Skip to main content
POST
/
application
/
{applicationId}
/
environmentVariable
Add an environment variable to the application
curl --request POST \
  --url https://api.qovery.com/application/{applicationId}/environmentVariable \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "value": "<string>",
  "mount_path": null,
  "description": "<string>",
  "enable_interpolation_in_file": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "key": "<string>",
  "scope": "APPLICATION",
  "variable_type": "VALUE",
  "updated_at": "2023-11-07T05:31:56Z",
  "value": "<string>",
  "mount_path": null,
  "description": "<string>",
  "enable_interpolation_in_file": true,
  "overridden_variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "<string>",
    "value": "<string>",
    "mount_path": "<string>",
    "scope": "APPLICATION",
    "variable_type": "VALUE"
  },
  "aliased_variable": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "key": "QOVERY_DATABASE_PSQL_NAME",
    "value": "<string>",
    "mount_path": "<string>",
    "scope": "APPLICATION",
    "variable_type": "VALUE"
  },
  "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "service_name": "<string>",
  "service_type": "APPLICATION",
  "owned_by": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-feat-new-navigation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

applicationId
string<uuid>
required

Application ID

Body

application/json
key
string
required

key is case sensitive.

value
string

value of the env variable.

mount_path
string | null

should be set for file only. variable mount path makes variable a file (where file should be mounted).

description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null

Response

Added an environment variable

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
key
string
required

key is case sensitive.

scope
enum<string>
required
Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
variable_type
enum<string>
required

type of the environment variable (VALUE, FILE, ALIAS, OVERRIDE, BUIT_IN, EXTERNAL_SECRET)

Available options:
VALUE,
ALIAS,
OVERRIDE,
BUILT_IN,
FILE,
EXTERNAL_SECRET
updated_at
string<date-time>
read-only
value
string

value of the env variable.

mount_path
string | null

should be set for file only. variable mount path makes variable a file (where file should be mounted).

description
string | null

optional variable description (255 characters maximum)

Maximum string length: 255
enable_interpolation_in_file
boolean | null
overridden_variable
object
aliased_variable
object
service_id
string<uuid>
service_name
string
service_type
enum<string>

type of the service (application, database, job, gateway...)

Available options:
APPLICATION,
CONTAINER,
DATABASE,
JOB,
HELM,
TERRAFORM
owned_by
string

Entity that created/own the variable (i.e: Qovery, Doppler)